import { Observable } from 'rxjs';

import { WindowState } from '../types/window-state.type';

export interface NativeService {
  showNotify(noti: NotiRequest): void;

  checkForUpdates(): Observable<boolean>;

  showImageViewer(): void;

  saveFile(path: string, buf: ArrayBuffer): Observable<boolean>;
  readFile(path: string): Observable<ArrayBuffer>;

  windowStateChanged(): Observable<WindowState>;
  windowClose(): void;
  windowMinimize(): void;
  windowMaximize(): void;
}

export interface NotiRequest {
  roomSeq: string;
  title: string;
  contents: string;
  image: string;
  useSound: boolean;
  interval?: number;
}
